<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <div class="todo-container">
        <h2>Researching</h2>
        <button id="open-modal">Add New Task</button>
        <div class="todo-item">
            <div class="color-tag red"></div>
            <div class="todo-content">
                <p class="todo-title">Case Study: Duolingo/Luis von Ahn</p>
                <p class="todo-meta">
                    <span class="comments-count">2</span>
                    <span class="task-status">0/8</span>
                </p>
            </div>
            <img src="user-avatar.png" alt="User" class="user-avatar">
        </div>
        <!-- Other todo items go here -->
    </div>
    <!-- Include more todo-container sections for different categories if needed -->
    <div id="task-modal" class="modal">
        <!-- Modal content -->
        <div class="modal-content">
          <span class="close">&times;</span>
          <form id="task-form">
              <input type="text" id="task-title" placeholder="Task Title" required>
              <textarea id="task-description" placeholder="Description"></textarea>
              <input type="date" id="task-due-date">
              <select id="task-priority">
                  <option value="High">High</option>
                  <option value="Medium">Medium</option>
                  <option value="Low">Low</option>
              </select>
              <select id="task-category">
                  <option value="Work">Work</option>
                  <option value="Personal">Personal</option>
                  <option value="Shopping">Shopping</option>
                  <!-- Boshqa kategoriyalar qo'shilishi mumkin -->
              </select>
              <input type="checkbox" id="task-status"> Completed
              <textarea id="task-notes" placeholder="Additional Notes"></textarea>
              <button type="submit">Add Task</button>
          </form>
        </div>
      </div>
    <script src="index.js"></script>
</body>
</html>
